Welcome to the Exchange Server Migration Wizard

You have found the Help file for the Microsoft Exchange 2003 Server Migration Wizard.

To start Migration Wizard: on the Start menu, point to Programs, point to Microsoft Exchange, and then click Migration Wizard.

If you are looking for additional information on migrating to Exchange 2003 Server go to the Microsoft Exchange Server Web Page.

Get latest Exchange content at http://www.microsoft.com/exchange/library.
Send feedback about this page Send feedback about this page.


Microsoft Exchange Server 2003 - Exchange on the Web

Exchange on the Web

Exchange on the Web

If you have access to the Internet, you can gain access to other sources of information about Microsoft Exchange Server 2003.

  • Browse the Exchange Technical Library
  • Get Exchange tools
  • Visit the Exchange home page
  • Contact Exchange product support


Account Options

Use this dialog box to determine how passwords are created for new Windows users who were created through migration, as well as a template object for mailbox creation.

Note Some of the parameters in this dialog box are only available for enabled Active Directory accounts, not for disabled Active Directory accounts.

Use Windows account name for password

Use this option to set the password for initial user logon to a user's account name (the alias).

Note If a Windows domain security policy has been set to enforce strong passwords, then this policy overrides this option. The strong passwords are written to the Accounts.Password file in the Program Files\Exchsrvr\Bin directory.

Generate random password

Use this option to generate a random password for each user. The strong passwords are written to the Accounts.Password file in the Program Files\Exchsrvr\Bin directory.

User must change password at next logon

Use this option to force users to change their passwords.

Use template object for non-personal attributes

Use this option to select a Windows user account that will be used as a template for the creation of Windows accounts. If the migrating data already has a particular field populated, the field will not be overwritten by the template.

Click Browse to select a user account in Active Directory.

Create New User Accounts as InetOrgPerson

Use this option to create user objects that are compatible with non-Microsoft LDAP and X.500 directory services. You can create an InetOrgPerson object only if you are running Windows Server 2003. The InetOrgPerson object can be mail-enabled or mailbox-enabled only in a native Exchange organization running Exchange 2003 servers.

Associate with accounts in an external domain

Select this check box to associate Exchange 2003 mailboxes with user accounts on an external domain. This option is helpful when you want to keep user accounts on the external domain and allow the external domain users to access Exchange 2003 mailboxes. To associate Exchange 2003 mailboxes with accounts in another domain, you must provide the necessary domain information.

External domain

A trust relationship must exist between the external domain and the Windows 2000 domain where Exchange 2003 is installed. Trusted domains are listed in the External domain drop-down list. Select the name of the external domain that contains the user accounts Migration Wizard will associate with Exchange 2003 mailboxes.

Note An external domain is always either a Windows NT 4.0 domain or a Windows 2000 or later domain in a separate forest.

Administrator account

Type the name of the administrator's account for the external domain.

Important The administrator account typed in Administrator account must have permissions to create new accounts on an external domain.

Password

Type the password for the external domain administrator account.

Create new accounts in external domain

Select this check box if you want Migration Wizard to create new accounts on the external domain.

Note Migration Wizard only creates new accounts on the external domain if a matching account does not already exist on the external domain. If this check box is selected and a matching account is not found on the external domain, Migration Wizard creates a new account in the external domain, creates a disabled user in Active Directory for the Exchange 2003 mailbox, and then creates an association with the account in the external domain.


Account Options

Use this dialog box to determine how passwords are created for new Windows accounts that will be created by Migration Wizard. You can also use this dialog box to create a template object for new accounts.

Note Some of the parameters in this dialog box are only available for enabled Active Directory accounts, not for disabled Active Directory accounts.

Use Windows account name for password

Use this option to set the account name (alias) of the user as the initial password.

Note If a Windows domain security policy has been set to enforce strong passwords, then this security policy overrides the Use Windows account name for password option. The strong passwords are written to the Accounts.Password file in the Program Files\Exchsrvr\Bin directory.

Generate random password

Use this option to generate a random password for each user. These passwords are strong passwords and are written to the Accounts.Password file in the Program Files\Exchsrvr\Bin directory.

User must change password at next logon

Use this option to force users to change their passwords the next time they log on.

Use template object for non-personal attributes

Use this option to select a Windows user account for Migration Wizard to use as a template when creating Windows accounts. If the migrating data already has a particular field populated, the template will not overwrite the field.

Click Browse to select a user account in Active Directory.


Migration

Use this wizard screen to specify the type of migration you want to perform.

Import from Migration Files

Use this option to import migration files created when you select Extract Migration Files only during migration. You can also import files created by a standalone source extractor.

Migrate from Microsoft Mail for PC Networks

Use this option to migrate Microsoft Mail for PC Networks users, mail, and schedule data directly from your Microsoft Mail post office.

Migrate from Microsoft Exchange

Use this option to migrate mailboxes from an Exchange 2000 or later organization or an Exchange 5.5 site to an Exchange 2003 organization.

Migrate from Lotus cc:Mail

Use this option to migrate Lotus cc:Mail user mailboxes, messages, message drafts, attachments, folders, personal mail lists, and bulletin boards directly from your cc:Mail post office.

Migrate from Lotus Notes

Use this option to migrate users, mail, and schedule information from your Lotus Notes or Domino server.

Migrate from Novell GroupWise 4.x

Use this option to migrate users, mail, and schedule information from your Novell GroupWise 4.x post office.

Migrate from Novell GroupWise 5.x

Use this option to migrate users, mail, and schedule information from your Novell GroupWise 5.x post office.

Migrate from Internet Directory (LDAP through ADSI)

Use this option to migrate mail account information from an LDAP-compliant Internet directory to Active Directory.

Migrate from Internet Mail (IMAP4)

Use this option to migrate messages from an IMAP4-compliant messaging system to users' Exchange mailboxes.


Account Owner

Use this wizard screen to specify an account as the owner for public folders. Migration Wizard creates Exchange public folders from shared information contained in your migration files.

In the Account public folder owner option, click Browse to browse an address list for the account.

Note Only Windows users (not contacts, groups, or public folders) can be specified as owners of public folders.


Access Permissions

Use this wizard screen to choose the default permissions you want for information migrated to public folders.

No access

Use this option to deny any client permissions. Only the administrator can read, create, and modify items in the public folders.

Author access: read, create, edit items

Use this option to grant users permissions to read existing information, and to create and modify their own items in the public folders.

Publishing editor access (includes create folders)

Use this option to grant permission to create, modify, and delete all information in the public folders, including the permission to add subfolders.

Note The administrator can modify public folder permissions after migration in Exchange System Manager.


IMAP4 Migration

Use the wizard screen to confirm your migration choice by clicking Next. Verify that you completed the preliminary steps outlined for IMAP mail migration.


Import Migration Files

Use this wizard screen to confirm your migration choice by choosing Next. Make sure that you have completed the preliminary steps outlined for this type of migration.


Internet Directory Migration

Use this wizard screen to confirm your migration choice by clicking Next. Verify that you completed the preliminary steps outlined for LDAP directory migration.


Lotus cc:Mail Migration

Use this wizard screen to confirm your migration choice by choosing Next. Make sure that you have completed the preliminary steps outlined for this type of migration.

Important The Lotus cc:Mail source extractor supports Lotus cc:Mail version 5.x (DB6), 6.0, and 8.x (DB8). Depending on which cc:Mail database version you are migrating, specific versions of the Lotus cc:Mail import/export utilities are required.


Lotus Notes Migration

Use this wizard screen to confirm your migration choice by choosing Next. Verify that you completed the preliminary steps outlined for this type of migration.

Important The Lotus Notes source extractor supports Lotus Notes releases 3.x, 4.0, and 4.1, and Lotus Domino releases 4.5 and later.


MS Mail Migration

Use this wizard screen to confirm your migration choice by choosing Next. Make sure that you have completed the preliminary steps outlined for this type of migration.


Novell GroupWise 4.1 Migration

Use this wizard screen to confirm your migration choice by clicking Next. Make sure that you have completed the preliminary steps outlined for this type of migration.


Novell GroupWise 5.x Migration

Use this option to confirm your migration choice by choosing Next. Make sure that you have completed the preliminary steps outlined for this type of migration.


Exchange 5.5 Migration

Exchange Server 2003 Migration Wizard

Exchange Server Migration

Use this screen to confirm that you want to migrate from an Exchange 2000 or later organization or an Exchange 5.5 site, and to confirm that your servers are ready for migration. The server from which you are migrating is called the "source server." You can only migrate mailboxes from the source server if the source server is not part of the same Exchange 2003 organization as the server that is running the Migration Wizard.

Before starting migration, verify the following on the source server:

  • Exchange services are running
  • If the source server is an Exchange 5.5 server, Lightweight Directory Access Protocol (LDAP) is active

To confirm your migration choice, click Next

Note To confirm that LDAP is running on the source Exchange 5.5 server, from Microsoft Exchange Administrator, click organization_name, site_name, and then click Protocols. The details pane lists the source server protocols.


Mail Account Properties

Use this dialog box to review directory attributes of existing Windows user accounts that have been matched to migrating mail accounts by Migration Wizard, or to edit the properties of new accounts that you create during migration.

Mail Account

Use this option to view the Display Name, E-Mail address, Title, Department, and Telephone attributes of the user to be migrated. You cannot change these attributes.

New Windows Account

This section shows the Full Name and Logon ID attributes of the new Windows user account that will be created during migration for the migrating user. You can edit either attribute.

External Account

If you selected the Associate with accounts in an external domain option from the Account Options dialog box, this field displays the external domain account name for the new Windows account you selected in the Windows Account Creation and Association screen.

If you did not select the Associate with accounts in an external domain option, this field is blank. However, you can use Browse to select an external account for this user. If you do this, the external account you select will be associated with and have permissions to logon to the Exchange 2003 mailbox.

Note If you are migrating from Exchange 5.5 or Exchange 2000 or later, the Browse button is not available because Associate with accounts in an external domain is not an available option.


Migration Destination

Use this wizard screen to save migrated information directly in Active Directory and Exchange, or in a personal folder (.pst) file for each user.

Migrate to a computer running Exchange Server

Use this option to migrate user mail accounts directly to Active Directory and Exchange. Directory information is stored in Active Directory, and mailbox data is stored in the public folder and mailbox stores.
Server
Use this option to select the name of the Microsoft Exchange server into which you are importing files. The Migration Wizard locates the server on the network. To migrate to more than one server, you must run the Migration Wizard for each server.
Information store
Select a mailbox store into which you import mailbox data.

Migrate to .pst files

Use this option to migrate each user mail account to a .pst file. If you are migrating from Exchange 5.5 or Exchange 2000 or later, you can use Migration Wizard to import the .pst files to a new Exchange 2003 organization.
Destination directory
Type the path to the directory where you will store the .pst file, or click Browse to find a location. The file containing passwords for the .pst files, Pst.Password, is also written in this directory.


Migration Information

Use this screen to control which items you want to migrate.

Mailbox Accounts

Select the Create/modify mailbox accounts checkbox to create mailbox accounts for users. This checkbox is selected by default. If you clear this checkbox, only the mailbox store is migrated and no mailbox accounts are created.

Message Filter

Use the Message Filter options to reduce the amount of data that is migrated.
Migrate mail messages within a date range
Select this checkbox to migrate messages that have dates which fall within a specific time period. Use the text boxes to define the time period:
  • Date Range In this text box, type the start date
  • To In this text box, type the end date

Note Selecting Migrate mail messages within a data range does not affect calendar items.

Do not migrate mail messages with specific subjects
Select this checkbox to filter mail messages that have specific subjects, which you can identify using a list of words or letters.
  • Subject List File In this text box, type the path and file name of the subject list file (the file that contains a list of subjects to be filtered).
  • Browse If you do not know the exact path to the subject list file, click this button to locate it.

Note Your subject list file must use the unicode file format.


Migration Progress

Use this wizard screen to view the status of your migration.

Migration started at

Use this option to determine the time migration started.

Elapsed time

Use this option to determine how long the migration step has been running.

Import

Use these options to view a summary of the extraction and import processes as they proceed.
Accounts
Use this option to determine the number of mailboxes extracted or imported successfully.

If you migrate user mail accounts to personal folder (.pst) files, this column displays the number of .pst files imported successfully.
Public Folders
Use this option during a file import migration to show the number of shared data items that were extracted or imported successfully.

During a Microsoft Mail migration, this option shows the number of shared folders extracted or imported successfully.

During a Lotus cc:Mail migration, this option shows the number of bulletin board folders extracted or imported successfully.

Messages
This option shows the total number of messages extracted or imported successfully, with warnings or error messages. The Messages option applies only to e-mail.
PABs
This option shows the number of personal address books (PABs) extracted or imported successfully, with warnings or error messages. The Messages column does not apply.
Warnings
This option shows the number of warnings associated with the extraction or import processes.
Errors
This option shows the number of error messages associated with the extraction or import processes.

For more information about warnings or error messages associated with the migration, see the Windows 2000 Server application event log.


Select Information to Import

Exchange Server 2003 Migration Wizard

Migration Information

Use this wizard screen to choose whether to create new Windows users, and also whether to migrate messages from your Internet messaging system.

Information to create mailboxes

Use this option to create mailboxes in the Exchange mailbox store, and directory entries in Active Directory. Mailboxes are created from the users in the user list file.

When you migrate mailbox (or directory) information, contacts are converted into users automatically.

Clearing this check box imports messages to existing mailboxes. No new users are created in Active Directory.

Personal e-mail messages

Use this option to copy messages and folders from the selected user mailboxes. You can use this opportunity to reduce the amount of data to be migrated. Set a time window for data you want to migrate to the mailbox store using the Dated from option.


Access Information

Use this wizard screen to specify the information needed to access the Lotus cc:Mail post office.

Path

Use this option to specify the path to the post office, or click Browse ,and then select the path.

Postoffice name

Use this option to specify the name of the post office that you are migrating.

Password

Use this option to specify the password for this post office, and then choose Next.


Migration Information

Use this wizard screen to choose whether to create new Windows users, and also to select the types of mail data you want to migrate from Lotus cc:Mail.

Information to create mailboxes

Use this option to create mailboxes in the Exchange mailbox store, and user accounts in Active Directory. When you migrate mailbox (or directory) information, contacts are converted into users automatically.

Clearing this check box imports messages to existing mailboxes. No new users are created in Active Directory.

Personal e-mail messages

Use this option to copy messages and folders from the cc:Mail post office. You can use this opportunity to reduce the amount of data to be migrated. Set a time window for data you want to migrate to the mailbox store using the Dated from option.

Personal mailing lists

Use this option to migrate personal mailing lists from the cc:Mail post office to an Exchange personal address book (PAB) file. The file is attached to a message and migrated with other messages to the user's Exchange Inbox. Users can then import the PAB file to use their personal mailing lists with Outlook. You can customize the text of the message by adding a file named Pabmsg.txt to the ExchSrvr\Bin folder; the text in the file is substituted for the default instructions.

Note Individual mail users can use Microsoft Importer for Lotus cc:Mail Archives, which is in the Migrate folder on the Exchange CD, to migrate private directories.

Bulletin board information

Use this option to create a public folder structure that represents the old cc:Mail bulletin boards. If you continue to use the cc:Mail connector, you can connect Exchange public folders and cc:Mail bulletin boards.

Note The user information migrated for bulletin board messages contains only the name of the migrating bulletin board, not the recipients' names. This is a limitation of the Lotus cc:Mail Export program.


Access Information

Use this wizard screen to specify the information needed to access the MS Mail post office.

Path

Use this option to type the path to the post office, or click Browse and select the path.

Account name

Use this option to type the mailbox name of an administrator on the post office.

Password

Use this option to type the password for this mailbox, and then choose Next.


Migration Information

Use this wizard screen to choose whether to create new Windows users, and also to select the types of mail data you want to migrate from MS Mail.

Information to create mailboxes

Use this option to create mailboxes in the Exchange mailbox store, and user accounts in Active Directory. When you migrate mailbox (or directory) information, contacts are converted into users automatically.

Clearing this check box imports messages to existing mailboxes. No new users are created in Active Directory.

Personal e-mail messages

Use this option to copy messages and folders from the selected user mailbox and server-based MMF. You can use this opportunity to reduce the amount of data to be migrated. Set a time window for data you want to migrate to the mailbox store using the Dated from option.

Shared folders

Use this option to copy all shared folders to the public folder store associated with the server you specified in the Migration Destination screen. You can assign permissions to the public folders later in the wizard. These folders should be migrated no more than once for each postoffice.

After a copy is migrated to a public folder on Exchange, there is no way to automatically replicate the differences between the copies that exist on Microsoft Mail and Exchange. If you have a critical shared or group folder, migrate all the folder's users at the same time.

Personal address books

Use this option to migrate personal address books (PABs). Microsoft Mail PABs are converted to Outlook PAB files during migration. The PAB file is migrated as an attachment in a message and is put in the Inbox of the new mailbox, with instructions on how to import it into the Outlook Address Book. You can customize the text of the message by adding a file named Pabmsg.txt to the ExchSrvr\Bin folder; the text in the file is substituted for the default instructions.

The PAB entries for users on foreign mail systems, such as SMTP, FAX, and X.400, are valid. Any message addressed to these entries is delivered provided Exchange can route the message.

Note You need to modify the PAB entries for PROFS and SNADS users before the entries can be used. In Microsoft Mail for PC Networks, these addresses are stored in the format of gateway\node\user. Exchange expects these addresses to be in the form of node\user with the appropriate type of information.

Schedule information

Use this option to migrate calendar data. The data is converted to Outlook format the first time the calendar is opened, when Outlook searches for a local copy of the .cal or .scd file.

Note You can also use Outlook to migrate calendar data.


File Location

Use this wizard screen to specify the path to the migration files that you want to import. Specifically, the wizard is looking for the packing list (.pkl) file. In the Path option, type the full pathname, or click Browse to select the path.


Migration Procedure

Use this wizard screen to choose a migration path; you can choose to migrate your system in one or two steps.

One-step migration (recommended)

Use a one-step migration to extract mail and directory data from Microsoft Mail and import it directly to Exchange and Active Directory.

Two-step migration

Use a two-step migration to first extract migration files from Microsoft Mail (and optionally review or modify the user list file to create or conform to a new naming convention), and then import the migration files to Exchange.

When you run Migration Wizard a second time, on the Migration screen, click Migrate from MS Mail for PC Networks again. Then click Two-step migration option to complete the migration of the users and their mail.


Novell GroupWise Postoffice

Use this wizard screen to specify the path to the GroupWise post office (to migrate additional post offices, you must run Migration Wizard again). In the Path option, type the full pathname, or click Browse to select the path.

Note When you click Next, Novell GroupWise prompts you for the name of a current GroupWise user to use as a migration account. As part of your pre-migration steps, be sure that the migration account has Read and Write permissions on the files and directories in which the post office and domain are located. The account must be in the same post office as the user accounts to be migrated. Also make sure each GroupWise user has granted proxy access to this migration account.


Users List Source

Use this wizard screen to select where Migration Wizard searches for GroupWise users to migrate.

GroupWise Address Book

Use this option to select the GroupWise Address Book. Users from the GroupWise Address Book appear later in the wizard in the Account Migration screen.

User group

Use this option to select a GroupWise public or private group that contains users you want to migrate. Users from the group appear later in the wizard in the Account Migration screen.


GroupWise Domain

Use this wizard screen to specify the information needed to access the Novell GroupWise domain.

Path

Use this option to specify the path to the domain, or click Browse and select the path.

Account name

Use this option to specify the user name for the migration account. Be sure that this account has been granted proxy rights to GroupWise user mailboxes.

Password

Use this option to specify the password for the migration account, and then choose Next.


GroupWise Postoffice

Use this wizard screen to specify the post offices that you want to migrate. The post offices reside in the domain you selected in the GroupWise Domain screen.


Migration Information

Use this wizard screen to choose whether to create new Windows users, and also to select the types of mail data you want to migrate from Novell GroupWise.

Information to create mailboxes

Use this option to create mailboxes in the Exchange mailbox store, and directory entries in Active Directory. When you migrate mailbox (or directory) information, contacts are converted into users automatically.

Clearing this check box imports messages to existing mailboxes. No new users are created in Active Directory.

Message types

Use this option to copy e-mail and phone messages and folders from the selected GroupWise post office. You can use this opportunity to reduce the amount of data to be migrated.
Mail
Select this check box to migrate e-mail messages.
Phone messages
Select this check box to migrate phone messages.
All
Click All to migrate all messages.
Dated from
Click Dated from to set a time window for message types you want to migrate to the mailbox store.

Calendar items

Use this option to migrate GroupWise calendar items. Migration Wizard migrates calendar information by generating a calendar import file for each user, called a Schedule+ Interchange file (SC2), which contains all calendar data. When users first log on to Exchange using Microsoft Outlook 98 or later versions, they are prompted to choose whether to automatically import the calendar data to the Outlook Calendar. The SC2 file is retained in the message as an attachment and can be imported again later or saved to the disk.

Any item (task, note, or appointment) that is accepted becomes a calendar item. Personal tasks, notes, and appointments are automatically added to the calendar.
Appointments
Select this check box to migrate appointments. Meeting requests that are accepted appear on the calendar as appointments. Meeting request recipients are listed in the message body of the appointment. To reply to all recipients, you must add their names to the To line. Meeting requests that have not yet been accepted are migrated as messages with the recipients listed in the message body.
Notes
Select this check box to migrate Notes. Notes migrated from Novell GroupWise appear as all-day events in Outlook; for example, an anniversary reminder note appears as a banner in the calendar. Low, normal, and high priorities transfer without alteration.
Tasks
Select this check box to migrate Tasks. Tasks migrated from Novell GroupWise appear in Exchange as Outlook tasks. Task priorities in Novell GroupWise range from ZZZ to one (1). Tasks with a priority of ZZZ have the lowest priority; tasks with a priority of 1 are the most urgent and have the highest priority. Priorities set on tasks in Novell GroupWise are mapped to Normal and High priorities in Exchange according to the following rules:

  • Tasks with a priority of 1 are migrated to Exchange with the priority set to High.
  • All other tasks, including those with a priority in Novell GroupWise that is not a numeric character (for example, a letter), are migrated to Exchange with the priority set to Normal.
  • Tasks that have not yet been accepted are migrated as messages with the priority listed in the message body.
All
Click All to migrate all calendar information.
Dated from
Click Dated from to set a time window for calendar data you want to migrate to the mailbox store.


Container for New Windows Accounts

Use this wizard screen to select a container in Active Directory for new recipients, to define how passwords are created, and to choose a template for account creation.

Container

Use this option to select an Active Directory container for the new Windows user accounts.

Options

Use this option to open the Account Options dialog box. You can choose how to create passwords, and choose a template for user account creation.


Containers

Use this wizard screen to specify the migration container. In the Internet containers list box, select the container on the Internet directory server that has the user account information you want to migrate.

Double-click a container to open the list of sub-containers.


Migration Information

Use this wizard screen to choose whether to create new Windows users and also to select the types of mail data you want to migrate from Lotus Notes.

Information to create mailboxes

Use this option to create mailboxes in the Exchange mailbox store and directory entries in Active Directory. When you migrate mailbox (or directory) information, contacts are converted into users automatically.

Clearing this check box imports messages to existing mailboxes. No new users are created in Active Directory.

Personal e-mail messages

Use this option to copy messages and folders from the selected users' mailboxes. You can use this opportunity to reduce the amount of data to be migrated. Set a time window for data you want to migrate to the mailbox store using the Dated from option.

Schedule information

Use this option to copy schedule (or calendar) information from the Lotus Notes or Domino server to Exchange for each account you select. The calendar includes appointments, meetings, notes, and tasks.

Note Lotus Notes and Domino users should accept or decline all meeting requests in their mail databases before migration. When accepted meeting requests are processed, the information is moved to the calendar and migrated as a calendar entry. If requests are not responded to, they are converted to text messages during migration, and then users must add the appointments to the calendar manually.

Specify how to convert Notes DocLinks

Use this option to specify a conversion mode for Lotus Notes document links (DocLinks).
URL
Use this option to convert Lotus DocLinks to hyperlinks within the message. The referenced document remains on the Lotus Domino server. When a Microsoft Exchange user selects the hyperlink, the referenced document is displayed in the user's default browser. The URL option only works for Domino servers; DocLinks on Lotus Notes servers are treated as if you selected the RTF option.
OLE
Use this option to convert Lotus DocLinks to OLE attachments within the message. The referenced document remains on the Notes or Domino server. When an Exchange user selects the OLE attachment, the converted document is displayed in the user's default application configured for that OLE object type.
RTF
Use this option to convert Lotus DocLinks to Rich Text Format (RTF) attachments to the message. The referenced document is converted to RTF format and stored on the Exchange server. When an Exchange user selects the RTF attachment, the converted document is displayed in the user's default application, configured for RTF files.


Hierarchical Name

Use this wizard screen to type or select from the list, the Hierarchical name of the Lotus Notes or Domino server from which you want to migrate.


Migration Steps

Use this wizard screen to create a user list file during the first step of a two-step migration, or to select an existing user list file (which you may have edited) during the second step of a two-step migration.

Step 1: Extract a user list file

Use this option to extract selected user mail accounts into a comma-separated value (.csv) file (called the user list). You can modify this file by using Microsoft Excel or a text editor before you import the accounts into Exchange in the second step.
New user list file
Type the path and file name of the file you want to create, or click Browse to select the file.

Step 2: Perform migration

Use this option to import the user mail accounts you extracted in step 1, including any changes you made.
Existing user list file
Type the path and file name of the user list file, or click Browse to select the file.


Account Migration

Use this wizard screen to select which user accounts you want to migrate. In the Accounts list box, select individual accounts, or click Select All to select all accounts.

Tip You can depress the Shift key and click to select a contiguous group of users, or depress the Ctrl key and click to select multiple individual users.


Windows Account Creation and Association

During migration, Migration Wizard queries Active Directory to see if a migrating account matches an existing user account. For example, if the e-mail addresses of a migrating and existing account are the same, the two accounts are matched, assuming that the account refers to a single individual. If there is no matching account, Migration Wizard creates a new Windows user account in Active Directory.

List of mail accounts

Use this list box to view whether individual user accounts will be migrated to new Windows accounts or existing Windows accounts.
  • Mail Account This column displays the accounts you selected for migration.
  • New Windows Account This column displays the distinguished names of disabled user objects that will be created for the mailbox accounts, if no satisfactory matches exist.
  • Existing Windows Account This column displays the distinguished names of existing user objects in Active Directory that match the migrating accounts.

Note Migration Wizard identifies two types of matches:

  • Hard matches Migration Wizard matches identical migrating accounts and Active Directory objects. You cannot change a hard match.
  • Soft matches Migration Wizard matches similar migrating accounts and Active Directory objects. If you do not want to use this match, you can have Migration Wizard create a new Active Directory object.

Tip To edit the Full Name and Login ID for a new Windows account, double-click the account to open Mail Account Properties, and then edit the account information.

Find Existing Account (This option is not available for Exchange migration)

Use this option to match a migrating account to an existing Windows 2000 account. If the existing account already has a mailbox, the migrating user's mail is imported to the existing mailbox. A new account is not created in Active Directory.

Select the mail account of a user, and then click Find Existing Account to browse Active Directory for a matching account.

Tip You can also right-click the mail account, and then click Match. To edit the directory information of a migrating user, right-click the mail account, and then click Edit.

Create New Account

Use this option to undo a match, which appears in the Existing Windows Account column, and create a new user object.

Select the mail account of a user, and then click Create New Account. The match is undone and a new account is created using directory information from the migrating user.

Tip To create a new account, you can also right-click the mail account, and then click New Account. To see more information about the existing account, right-click the mail account, and then click More Info.

Note If the match is a hard match, Migration Wizard notifies you that you cannot change the match at this time.


Source Exchange 5.5 Server

Exchange Server 2003 Migration Wizard

Source Exchange Server

In order to migrate Exchange mailboxes, you must provide the necessary information to connect to the Exchange 5.5 site or Exchange 2000 or later organization that contains the mailboxes you are migrating.

Exchange 5.5 server

Select this checkbox to migrate mailboxes from an Exchange 5.5 site. Clear this checkbox to migrate mailboxes from Exchange 2000 or later organizations.

Exchange server name

Use this text box to type the name of an Exchange server that belongs to the Exchange 5.5 site or Exchange 2000 or later organiation from which you want to migrate mailboxes.

Note By default, when migrating from Exchange 5.5, Migration Wizard connects to the Exchange Directory using Lightweight Directory Access Protocol (LDAP) port 389. If the Exchange Server you are connecting to uses a different port for LDAP, you must add a colon and then the LDAP port number after the Exchange server name. For example, if you connect to an Exchange server named "London-01" that uses port 312 for LDAP, type London-01:312 in the Exchange server name box.

Administrator account

Type the domain name and user name of an account that has administrator privileges for the Exchange server that contains the mailboxes you are migrating. For example, domain name\user name.

Password

Type the password for the administrator account.


Migration Procedure

Use this wizard screen to choose a migration path; you can choose to migrate your system in one or two steps.

One-step migration (recommended)

Use this option to perform a one-step migration. A one-step migration extracts messaging and directory data from Lotus cc:Mail and imports it to the Exchange mailbox store and Active Directory.

Extract migration files only

Use this option to extract migration files only. Extracting migration files is the first step in a two-step migration. After extracting, you can review or edit the migration files to create or conform to a new naming convention. In the second step, you import the migration files to Exchange.

When you run Migration Wizard a second time, on the Migration screen, click Import from Migration Files.

Path to migration files

Use this option to specify the destination path for the migration files, or choose Browse and select the path.


Specify Migration Type

Exchange Server 2003 Migration Wizard

Migration Procedure

Use this screen to choose a migration path; you can choose to migrate your system in one step or two steps.

One-step migration (recommended)

A one-step migration extracts directory information from your LDAP-compliant Internet directory and imports it directly to Exchange and Active Directory.

Extract migration files only

In a two-step migration, you first extract migration files from your Internet Directory (and optionally review or edit the migration files to create or conform to a new naming convention), and then import the migration files to Exchange.

When you run Migration Wizard a second time, on the Migration screen, click Import from Migration Files.

Path to migration files

Type the destination path for the migration files, or choose Browse and select the path.


Specify Migration Type

Exchange Server 2003 Migration Wizard

Migration Procedure

Use this wizard screen to choose a migration path; you can choose to migrate your Internet messaging system in one or two steps.

One-step migration (recommended)

Use this option to specify a one-step migration, which extracts mail from an IMAP-based Internet messaging system and imports it directly to Exchange and Active Directory. To migrate an IMAP-based system, you first need to create a list of users, called a user list file, that Migration Wizard can use to populate Active Directory with directory information about your system.

You can use Migration Wizard to create this file before you migrate. Choose Migrate from Internet Directory (LDAP via ADSI) from the Migration screen, and then select Extract migration files only from the Migration Procedure screen. Migration Wizard will create a user list file called Imapusr.csv. During migration, the wizard will prompt you for a user list file. You can also create a user list file manually.

Extract migration files only

Use this option to extract migration files only. As with a one-step migration, before you extract migration files from your Internet messaging system, you need to create a user list file. You can create the file using the LDAP source extractor component of Migration Wizard, or you can create it manually.

To import your migration files at a later time, on the Migration screen, click Import from Migration Files.

Path to migration files

Use this option to specify the destination path for the migration files, or choose Browse, and then select the path. The path is required for both the One-step migration and Extract migration files only options.


Specify Notes Migration Type

Exchange Server 2003 Migration Wizard
Migration Procedure

Migration Procedure

Use this wizard screen to choose a migration path; you can choose to migrate your system in one step or two steps.

One-step migration (recommended)

Use this option to begin a one-step migration, which extracts mail and directory data from a Notes or Domino server and imports it directly to Exchange and Active Directory.

Extract migration files only

Use this option to begin a two-step migration, in which you first extract migration files from Lotus Notes (and optionally review or edit the migration files to create or conform to a new naming convention), and then import the migration files to Exchange.

When you run Migration Wizard a second time, on the Migration screen, click Import from Migration Files.

Path to migration files

Use this option to type the destination path for the migration files, or choose Browse and select the path.


Migration Procedure

Use this wizard screen to choose a migration path; you can choose to migrate your system in one step or two steps.

One-step migration (recommended)

Use this option to perform a one-step migration. A one-step migration extracts mail and directory data from Novell GroupWise and imports it to the Exchange mailbox store and Active Directory.

Extract migration files only

Use this option to extract migration files only. Extracting migration files is the first step in a two-step migration. After extracting, you can review or edit the migration files to create or conform to a new naming convention. In the second step, you import the migration files to Exchange.

When you run Migration Wizard a second time, on the Migration screen, click Import from Migration Files.

Path to migration files

Use this option to specify the destination path for the migration files, or choose Browse and select the path.


Access Information

Use this wizard screen to specify the LDAP server that contains the Internet directory you wish to migrate, and provide a port number, an account, and a password to access that directory.

Internet directory server name

Use this option to specify the host name of the LDAP server. The name can be specified as the fully qualified domain name of the LDAP server (for example, for Netscape, use the form: hostname/ou=exchange,o=microsoft,c=us) or the IP address of the LDAP server.

Port

Use this option to specify the TCP/IP port number that the source extractor can use to bind to the LDAP directory. The default LDAP port is 389. Only change the default port number if you have specified a different port for LDAP access to your Internet directory server.

Account name

Use this option to specify the user account that the wizard can use to access the LDAP directory. The user account must have rights to bind to the LDAP directory, as well the rights to access, search and read the directory.

Password

Use this option to select the password for the account name you specified, and then choose Next.

Note If you have allowed anonymous access to your LDAP directory, you do not need to specify an account name or a password.

Use secure authentication

Use this option to authenticate your logon credentials between the wizard and the LDAP directory using Secure Sockets Layer (SSL) encryption.

Use encryption

Use this option to direct SSL to encrypt all data transmission between the wizard and the LDAP directory.


Access Information

Use this wizard screen to specify the Lotus Notes user ID file that Migration Wizard uses to connect to the Notes server.

Notes.ini file

Use this option to specify the path to the Lotus Notes.ini file for the Notes client installed on the computer on which the Microsoft Exchange Migration Wizard is installed. This file is created when you install and configure the Notes client. For Lotus Notes R5, the default location is C:\Lotus\Notes\Notes.ini. For earlier versions, the default location is C:\Winnt\Notes.ini. (The default location of Notes.ini depends on the version of Lotus Notes installed.) Click Browse to select a path.

User.ID file

Use this option to specify a Lotus Notes user ID. You must grant the user ID file at least Reader permissions to all mail databases being migrated. Click Browse to select the user ID file.

Password

Use this option to type the password for the Lotus Notes user ID, and then click Next.


File Location

Use this wizard screen to specify the location of a User list file or click Browse to select the location. This file lists each user's account name and characteristics. The user list file must contain the IMAP source mailbox name, the IMAP password for the source mailbox, the SMTP mail address of the source mailbox, and the source IMAP server for each mailbox you want to migrate.

The recommended process for migrating from Internet messaging systems to Exchange is to first create a user list file, called Imapusr.csv, using the LDAP source extractor (the Internet Directory component of Migration Wizard). You do this by choosing the Extract migration files only option on the Migration Procedure screen. Then the IMAP source extractor (the Internet Mail component of Migration Wizard) can use the user list file to migrate messages.

You can also create your own user list file.

Note The default IMAP port number is 143. If your server has a different IMAP port, specify that port in the user list file.